<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>XSSFTextParagraph (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="XSSFTextParagraph (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10,"i40":10,"i41":10,"i42":10,"i43":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.xssf.usermodel</div>
    <h2 title="Class XSSFTextParagraph" class="title">Class XSSFTextParagraph</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li>org.apache.poi.xssf.usermodel.XSSFTextParagraph</li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd>java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                                 title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public class <span class="typeNameLabel">XSSFTextParagraph</span>
extends java.lang.Object
implements java.lang.Iterable&lt;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                    title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;</pre>
                <div class="block">Represents a paragraph of text within the containing text body.
                    The paragraph is the highest level text separation mechanism.
                </div>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#addLineBreak--">addLineBreak</a></span>()</code>
                                    <div class="block">Insert a line break</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#addNewTextRun--">addNewTextRun</a></span>()</code>
                                    <div class="block">Add a new run of text</div>
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#addTabStop-double-">addTabStop</a></span>(double&nbsp;value)</code>
                                    <div class="block">Add a single tab stop to be used on a line of text when there are
                                        one or more tab characters
                                        present within the text.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletAutoNumberScheme--">getBulletAutoNumberScheme</a></span>()</code>
                                    <div class="block">Returns the auto number scheme if this paragraph has automatic
                                        numbered bullets, otherwise returns ListAutoNumber.ARABIC_PLAIN
                                    </div>
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletAutoNumberStart--">getBulletAutoNumberStart</a></span>()</code>
                                    <div class="block">Returns the starting number if this paragraph has automatic
                                        numbered bullets, otherwise returns 0
                                    </div>
                                </td>
                            </tr>
                            <tr id="i5" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletCharacter--">getBulletCharacter</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i6" class="altColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletFont--">getBulletFont</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i7" class="rowColor">
                                <td class="colFirst"><code>java.awt.Color</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletFontColor--">getBulletFontColor</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i8" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getBulletFontSize--">getBulletFontSize</a></span>()</code>
                                    <div class="block">Returns the bullet size that is to be used within a paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i9" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getDefaultTabSize--">getDefaultTabSize</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i10" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getIndent--">getIndent</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i11" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getLeftMargin--">getLeftMargin</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i12" class="altColor">
                                <td class="colFirst"><code>int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getLevel--">getLevel</a></span>()</code>
                                    <div class="block">Returns the level of text properties that this paragraph will
                                        follow.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i13" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getLineSpacing--">getLineSpacing</a></span>()</code>
                                    <div class="block">Returns the vertical line spacing that is to be used within a
                                        paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i14" class="altColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getParentShape--">getParentShape</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i15" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getRightMargin--">getRightMargin</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i16" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getSpaceAfter--">getSpaceAfter</a></span>()</code>
                                    <div class="block">The amount of vertical white space after the paragraph
                                        This may be specified in two different ways, percentage spacing and font point
                                        spacing:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i17" class="rowColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getSpaceBefore--">getSpaceBefore</a></span>()</code>
                                    <div class="block">The amount of vertical white space before the paragraph
                                        This may be specified in two different ways, percentage spacing and font point
                                        spacing:
                                    </div>
                                </td>
                            </tr>
                            <tr id="i18" class="altColor">
                                <td class="colFirst"><code>double</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getTabStop-int-">getTabStop</a></span>(int&nbsp;idx)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i19" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getText--">getText</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i20" class="altColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAlign</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getTextAlign--">getTextAlign</a></span>()</code>
                                    <div class="block">Returns the alignment that is applied to the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i21" class="rowColor">
                                <td class="colFirst"><code><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextFontAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextFontAlign</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getTextFontAlign--">getTextFontAlign</a></span>()</code>
                                    <div class="block">Returns where vertically on a line of text the actual words are
                                        positioned.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i22" class="altColor">
                                <td class="colFirst"><code>java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getTextRuns--">getTextRuns</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i23" class="rowColor">
                                <td class="colFirst"><code>org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraph</code>
                                </td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#getXmlObject--">getXmlObject</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i24" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#isBullet--">isBullet</a></span>()</code>
                                    <div class="block">Returns whether this paragraph has bullets</div>
                                </td>
                            </tr>
                            <tr id="i25" class="rowColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#isBulletAutoNumber--">isBulletAutoNumber</a></span>()</code>
                                    <div class="block">Returns whether this paragraph has automatic numbered bullets
                                    </div>
                                </td>
                            </tr>
                            <tr id="i26" class="altColor">
                                <td class="colFirst"><code>java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#iterator--">iterator</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i27" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBullet-boolean-">setBullet</a></span>(boolean&nbsp;flag)</code>
                                    <div class="block">Set or unset this paragraph as a bullet point</div>
                                </td>
                            </tr>
                            <tr id="i28" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBullet-org.apache.poi.xssf.usermodel.ListAutoNumber-">setBullet</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a>&nbsp;scheme)</code>
                                    <div class="block">Set this paragraph as an automatic numbered bullet point</div>
                                </td>
                            </tr>
                            <tr id="i29" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBullet-org.apache.poi.xssf.usermodel.ListAutoNumber-int-">setBullet</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a>&nbsp;scheme,
                                    int&nbsp;startAt)</code>
                                    <div class="block">Set this paragraph as an automatic numbered bullet point</div>
                                </td>
                            </tr>
                            <tr id="i30" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBulletCharacter-java.lang.String-">setBulletCharacter</a></span>(java.lang.String&nbsp;str)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i31" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBulletFont-java.lang.String-">setBulletFont</a></span>(java.lang.String&nbsp;typeface)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i32" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBulletFontColor-java.awt.Color-">setBulletFontColor</a></span>(java.awt.Color&nbsp;color)</code>
                                    <div class="block">Set the color to be used on bullet characters within a given
                                        paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i33" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setBulletFontSize-double-">setBulletFontSize</a></span>(double&nbsp;bulletSize)</code>
                                    <div class="block">Sets the bullet size that is to be used within a paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i34" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setIndent-double-">setIndent</a></span>(double&nbsp;value)</code>
                                    <div class="block">Specifies the indent size that will be applied to the first line
                                        of text in the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i35" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setLeftMargin-double-">setLeftMargin</a></span>(double&nbsp;value)</code>
                                    <div class="block">Specifies the left margin of the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i36" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setLevel-int-">setLevel</a></span>(int&nbsp;level)</code>
                                    <div class="block">Specifies the particular level text properties that this
                                        paragraph will follow.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i37" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setLineSpacing-double-">setLineSpacing</a></span>(double&nbsp;linespacing)</code>
                                    <div class="block">This element specifies the vertical line spacing that is to be
                                        used within a paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i38" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setRightMargin-double-">setRightMargin</a></span>(double&nbsp;value)</code>
                                    <div class="block">Specifies the right margin of the paragraph.</div>
                                </td>
                            </tr>
                            <tr id="i39" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setSpaceAfter-double-">setSpaceAfter</a></span>(double&nbsp;spaceAfter)</code>
                                    <div class="block">Set the amount of vertical white space that will be present after
                                        the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i40" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setSpaceBefore-double-">setSpaceBefore</a></span>(double&nbsp;spaceBefore)</code>
                                    <div class="block">Set the amount of vertical white space that will be present
                                        before the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i41" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setTextAlign-org.apache.poi.xssf.usermodel.TextAlign-">setTextAlign</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAlign</a>&nbsp;align)</code>
                                    <div class="block">Specifies the alignment that is to be applied to the paragraph.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i42" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#setTextFontAlign-org.apache.poi.xssf.usermodel.TextFontAlign-">setTextFontAlign</a></span>(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextFontAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextFontAlign</a>&nbsp;align)</code>
                                    <div class="block">Determines where vertically on a line of text the actual words
                                        are positioned.
                                    </div>
                                </td>
                            </tr>
                            <tr id="i43" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextParagraph.html#toString--">toString</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait,
                                    wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Iterable">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;java.lang.Iterable</h3>
                                <code>forEach, spliterator</code></li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="getText--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getText</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getText()</pre>
                            </li>
                        </ul>
                        <a name="getXmlObject--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getXmlObject</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.main.CTTextParagraph&nbsp;getXmlObject()</pre>
                            </li>
                        </ul>
                        <a name="getParentShape--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getParentShape</h4>
                                <pre><a href="../../../../../org/apache/poi/util/Internal.html"
                                        title="annotation in org.apache.poi.util">@Internal</a>
public&nbsp;org.openxmlformats.schemas.drawingml.x2006.spreadsheetDrawing.CTShape&nbsp;getParentShape()</pre>
                            </li>
                        </ul>
                        <a name="getTextRuns--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextRuns</h4>
                                <pre>public&nbsp;java.util.List&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;&nbsp;getTextRuns()</pre>
                            </li>
                        </ul>
                        <a name="iterator--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>iterator</h4>
                                <pre>public&nbsp;java.util.Iterator&lt;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                        title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;&nbsp;iterator()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
                                    <dd><code>iterator</code>&nbsp;in interface&nbsp;<code>java.lang.Iterable&lt;<a
                                            href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                            title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&gt;</code>
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addNewTextRun--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addNewTextRun</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&nbsp;addNewTextRun()</pre>
                                <div class="block">Add a new run of text</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>a new run of text</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="addLineBreak--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addLineBreak</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
                                                    title="class in org.apache.poi.xssf.usermodel">XSSFTextRun</a>&nbsp;addLineBreak()</pre>
                                <div class="block">Insert a line break</div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>text run representing this line break ('\n')</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextAlign--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextAlign</h4>
                                <pre>public&nbsp;<a href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                                    title="enum in org.apache.poi.xssf.usermodel">TextAlign</a>&nbsp;getTextAlign()</pre>
                                <div class="block">Returns the alignment that is applied to the paragraph.

                                    If this attribute is omitted, then a value of left is implied.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>alignment that is applied to the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextAlign-org.apache.poi.xssf.usermodel.TextAlign-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextAlign</h4>
                                <pre>public&nbsp;void&nbsp;setTextAlign(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextAlign</a>&nbsp;align)</pre>
                                <div class="block">Specifies the alignment that is to be applied to the paragraph.
                                    Possible values for this include left, right, centered, justified and distributed,
                                    see <a href="../../../../../org/apache/poi/xssf/usermodel/TextAlign.html"
                                           title="enum in org.apache.poi.xssf.usermodel"><code>TextAlign</code></a>.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>align</code> - text align</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTextFontAlign--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTextFontAlign</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextFontAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextFontAlign</a>&nbsp;getTextFontAlign()</pre>
                                <div class="block">Returns where vertically on a line of text the actual words are
                                    positioned. This deals
                                    with vertical placement of the characters with respect to the baselines.

                                    If this attribute is omitted, then a value of baseline is implied.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>alignment that is applied to the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setTextFontAlign-org.apache.poi.xssf.usermodel.TextFontAlign-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setTextFontAlign</h4>
                                <pre>public&nbsp;void&nbsp;setTextFontAlign(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/TextFontAlign.html"
                                        title="enum in org.apache.poi.xssf.usermodel">TextFontAlign</a>&nbsp;align)</pre>
                                <div class="block">Determines where vertically on a line of text the actual words are
                                    positioned. This deals
                                    with vertical placement of the characters with respect to the baselines. For
                                    instance
                                    having text anchored to the top baseline, anchored to the bottom baseline, centered
                                    in
                                    between, etc.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>align</code> - text font align</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBulletFont--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFont</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getBulletFont()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the font to be used on bullet characters within a given paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletFont-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFont</h4>
                                <pre>public&nbsp;void&nbsp;setBulletFont(java.lang.String&nbsp;typeface)</pre>
                            </li>
                        </ul>
                        <a name="getBulletCharacter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletCharacter</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getBulletCharacter()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the character to be used in place of the standard bullet point</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletCharacter-java.lang.String-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletCharacter</h4>
                                <pre>public&nbsp;void&nbsp;setBulletCharacter(java.lang.String&nbsp;str)</pre>
                            </li>
                        </ul>
                        <a name="getBulletFontColor--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFontColor</h4>
                                <pre>public&nbsp;java.awt.Color&nbsp;getBulletFontColor()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the color of bullet characters within a given paragraph.
                                        A <code>null</code> value means to use the text font color.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletFontColor-java.awt.Color-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFontColor</h4>
                                <pre>public&nbsp;void&nbsp;setBulletFontColor(java.awt.Color&nbsp;color)</pre>
                                <div class="block">Set the color to be used on bullet characters within a given
                                    paragraph.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>color</code> - the bullet color</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getBulletFontSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletFontSize</h4>
                                <pre>public&nbsp;double&nbsp;getBulletFontSize()</pre>
                                <div class="block">Returns the bullet size that is to be used within a paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If bulletSize &gt;= 0, then bulletSize is a percentage of the font size.
                                        If bulletSize &lt; 0, then it specifies the size in points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the bullet size</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBulletFontSize-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBulletFontSize</h4>
                                <pre>public&nbsp;void&nbsp;setBulletFontSize(double&nbsp;bulletSize)</pre>
                                <div class="block">Sets the bullet size that is to be used within a paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If bulletSize &gt;= 0, then bulletSize is a percentage of the font size.
                                        If bulletSize &lt; 0, then it specifies the size in points
                                    </p></div>
                            </li>
                        </ul>
                        <a name="setIndent-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setIndent</h4>
                                <pre>public&nbsp;void&nbsp;setIndent(double&nbsp;value)</pre>
                                <div class="block">Specifies the indent size that will be applied to the first line of
                                    text in the paragraph.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the indent in points, -1 to unset indent and use the
                                        default of 0.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getIndent--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getIndent</h4>
                                <pre>public&nbsp;double&nbsp;getIndent()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the indent applied to the first line of text in the paragraph.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLeftMargin-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLeftMargin</h4>
                                <pre>public&nbsp;void&nbsp;setLeftMargin(double&nbsp;value)</pre>
                                <div class="block">Specifies the left margin of the paragraph. This is specified in
                                    addition to the text body
                                    inset and applies only to this text paragraph. That is the text body inset and the
                                    LeftMargin
                                    attributes are additive with respect to the text position.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the left margin of the paragraph, -1 to clear the margin
                                        and use the default of 0.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLeftMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLeftMargin</h4>
                                <pre>public&nbsp;double&nbsp;getLeftMargin()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the left margin of the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setRightMargin-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setRightMargin</h4>
                                <pre>public&nbsp;void&nbsp;setRightMargin(double&nbsp;value)</pre>
                                <div class="block">Specifies the right margin of the paragraph. This is specified in
                                    addition to the text body
                                    inset and applies only to this text paragraph. That is the text body inset and the
                                    marR
                                    attributes are additive with respect to the text position.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the right margin of the paragraph, -1 to clear the margin
                                        and use the default of 0.
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getRightMargin--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getRightMargin</h4>
                                <pre>public&nbsp;double&nbsp;getRightMargin()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the right margin of the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getDefaultTabSize--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getDefaultTabSize</h4>
                                <pre>public&nbsp;double&nbsp;getDefaultTabSize()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the default size for a tab character within this paragraph in points</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getTabStop-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getTabStop</h4>
                                <pre>public&nbsp;double&nbsp;getTabStop(int&nbsp;idx)</pre>
                            </li>
                        </ul>
                        <a name="addTabStop-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>addTabStop</h4>
                                <pre>public&nbsp;void&nbsp;addTabStop(double&nbsp;value)</pre>
                                <div class="block">Add a single tab stop to be used on a line of text when there are one
                                    or more tab characters
                                    present within the text.
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>value</code> - the position of the tab stop relative to the left margin
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLineSpacing-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLineSpacing</h4>
                                <pre>public&nbsp;void&nbsp;setLineSpacing(double&nbsp;linespacing)</pre>
                                <div class="block">This element specifies the vertical line spacing that is to be used
                                    within a paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If linespacing &gt;= 0, then linespacing is a percentage of normal line height
                                        If linespacing &lt; 0, the absolute value of linespacing is the spacing in
                                        points
                                    </p>
                                    Examples:
                                    <pre><code>
      // spacing will be 120% of the size of the largest text on each line
      paragraph.setLineSpacing(120);

      // spacing will be 200% of the size of the largest text on each line
      paragraph.setLineSpacing(200);

      // spacing will be 48 points
      paragraph.setLineSpacing(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>linespacing</code> - the vertical line spacing</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLineSpacing--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLineSpacing</h4>
                                <pre>public&nbsp;double&nbsp;getLineSpacing()</pre>
                                <div class="block">Returns the vertical line spacing that is to be used within a
                                    paragraph.
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If linespacing &gt;= 0, then linespacing is a percentage of normal line height.
                                        If linespacing &lt; 0, the absolute value of linespacing is the spacing in
                                        points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical line spacing.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSpaceBefore-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceBefore</h4>
                                <pre>public&nbsp;void&nbsp;setSpaceBefore(double&nbsp;spaceBefore)</pre>
                                <div class="block">Set the amount of vertical white space that will be present before
                                    the paragraph.
                                    This space is specified in either percentage or points:
                                    <p>
                                        If spaceBefore &gt;= 0, then space is a percentage of normal line height.
                                        If spaceBefore &lt; 0, the absolute value of linespacing is the spacing in
                                        points
                                    </p>
                                    Examples:
                                    <pre><code>
      // The paragraph will be formatted to have a spacing before the paragraph text.
      // The spacing will be 200% of the size of the largest text on each line
      paragraph.setSpaceBefore(200);

      // The spacing will be a size of 48 points
      paragraph.setSpaceBefore(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spaceBefore</code> - the vertical white space before the paragraph.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpaceBefore--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpaceBefore</h4>
                                <pre>public&nbsp;double&nbsp;getSpaceBefore()</pre>
                                <div class="block">The amount of vertical white space before the paragraph
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If spaceBefore &gt;= 0, then space is a percentage of normal line height.
                                        If spaceBefore &lt; 0, the absolute value of linespacing is the spacing in
                                        points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical white space before the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setSpaceAfter-double-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setSpaceAfter</h4>
                                <pre>public&nbsp;void&nbsp;setSpaceAfter(double&nbsp;spaceAfter)</pre>
                                <div class="block">Set the amount of vertical white space that will be present after the
                                    paragraph.
                                    This space is specified in either percentage or points:
                                    <p>
                                        If spaceAfter &gt;= 0, then space is a percentage of normal line height.
                                        If spaceAfter &lt; 0, the absolute value of linespacing is the spacing in points
                                    </p>
                                    Examples:
                                    <pre><code>
      // The paragraph will be formatted to have a spacing after the paragraph text.
      // The spacing will be 200% of the size of the largest text on each line
      paragraph.setSpaceAfter(200);

      // The spacing will be a size of 48 points
      paragraph.setSpaceAfter(-48.0);
 </code></pre>
                                </div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>spaceAfter</code> - the vertical white space after the paragraph.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getSpaceAfter--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getSpaceAfter</h4>
                                <pre>public&nbsp;double&nbsp;getSpaceAfter()</pre>
                                <div class="block">The amount of vertical white space after the paragraph
                                    This may be specified in two different ways, percentage spacing and font point
                                    spacing:
                                    <p>
                                        If spaceBefore &gt;= 0, then space is a percentage of normal line height.
                                        If spaceBefore &lt; 0, the absolute value of linespacing is the spacing in
                                        points
                                    </p></div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the vertical white space after the paragraph</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setLevel-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setLevel</h4>
                                <pre>public&nbsp;void&nbsp;setLevel(int&nbsp;level)</pre>
                                <div class="block">Specifies the particular level text properties that this paragraph
                                    will follow.
                                    The value for this attribute formats the text according to the corresponding level
                                    paragraph properties defined in the list of styles associated with the body of text
                                    that this paragraph belongs to (therefore in the parent shape).
                                    <p>
                                        Note that the closest properties object to the text is used, therefore if there
                                        is
                                        a conflict between the text paragraph properties and the list style properties
                                        for
                                        this level then the text paragraph properties will take precedence.
                                    </p></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>level</code> - the level (0 ... 4)</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="getLevel--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getLevel</h4>
                                <pre>public&nbsp;int&nbsp;getLevel()</pre>
                                <div class="block">Returns the level of text properties that this paragraph will
                                    follow.
                                </div>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the text level of this paragraph (0-based). Default is 0.</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBullet--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBullet</h4>
                                <pre>public&nbsp;boolean&nbsp;isBullet()</pre>
                                <div class="block">Returns whether this paragraph has bullets</div>
                            </li>
                        </ul>
                        <a name="setBullet-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBullet</h4>
                                <pre>public&nbsp;void&nbsp;setBullet(boolean&nbsp;flag)</pre>
                                <div class="block">Set or unset this paragraph as a bullet point</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>flag</code> - whether text in this paragraph has bullets</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBullet-org.apache.poi.xssf.usermodel.ListAutoNumber-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBullet</h4>
                                <pre>public&nbsp;void&nbsp;setBullet(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a>&nbsp;scheme,
                      int&nbsp;startAt)</pre>
                                <div class="block">Set this paragraph as an automatic numbered bullet point</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scheme</code> - type of auto-numbering</dd>
                                    <dd><code>startAt</code> - the number that will start number for a given sequence of
                                        automatically
                                        numbered bullets (1-based).
                                    </dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setBullet-org.apache.poi.xssf.usermodel.ListAutoNumber-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setBullet</h4>
                                <pre>public&nbsp;void&nbsp;setBullet(<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a>&nbsp;scheme)</pre>
                                <div class="block">Set this paragraph as an automatic numbered bullet point</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>scheme</code> - type of auto-numbering</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="isBulletAutoNumber--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isBulletAutoNumber</h4>
                                <pre>public&nbsp;boolean&nbsp;isBulletAutoNumber()</pre>
                                <div class="block">Returns whether this paragraph has automatic numbered bullets</div>
                            </li>
                        </ul>
                        <a name="getBulletAutoNumberStart--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletAutoNumberStart</h4>
                                <pre>public&nbsp;int&nbsp;getBulletAutoNumberStart()</pre>
                                <div class="block">Returns the starting number if this paragraph has automatic numbered
                                    bullets, otherwise returns 0
                                </div>
                            </li>
                        </ul>
                        <a name="getBulletAutoNumberScheme--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>getBulletAutoNumberScheme</h4>
                                <pre>public&nbsp;<a
                                        href="../../../../../org/apache/poi/xssf/usermodel/ListAutoNumber.html"
                                        title="enum in org.apache.poi.xssf.usermodel">ListAutoNumber</a>&nbsp;getBulletAutoNumberScheme()</pre>
                                <div class="block">Returns the auto number scheme if this paragraph has automatic
                                    numbered bullets, otherwise returns ListAutoNumber.ARABIC_PLAIN
                                </div>
                            </li>
                        </ul>
                        <a name="toString--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>toString</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code>toString</code>&nbsp;in class&nbsp;<code>java.lang.Object</code></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/XSSFTextParagraph.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextBox.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/xssf/usermodel/XSSFTextRun.html"
               title="class in org.apache.poi.xssf.usermodel"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/xssf/usermodel/XSSFTextParagraph.html" target="_top">Frames</a>
        </li>
        <li><a href="XSSFTextParagraph.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li>Field&nbsp;|&nbsp;</li>
            <li>Constr&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
